#ifndef find_voc_h
#define find_voc_h
#include "../../sim.h"

struct sun_voc
{
	int sun_voc_single_point;
	double sun_voc_Psun_start;
	double sun_voc_Psun_stop;
	double sun_voc_Psun_mul;
};
void sun_voc_load_config(struct sun_voc* in,struct device *dev);
void solve_sun_voc(struct device *in);
double newton_sun_voc_ittr(struct device *in);
void newton_aux_voc(struct device *in,double V,double* i,double* didv,double* didphi,double* didxil,double* didxipl,double* didphir,double* didxir,double* didxipr);
#endif
