//<clean=none></clean>
#ifndef fith
#define fith
#include "../../server.h"

struct fitvars
{
int fit_names_len;
char **fit_names;
double fit_names_error[100];
double simplexmul;
int simplexreset;
int fitvars;
char fit_file[200][100];
int fit_pos[200];
int newton;
};

int fit_simplex(int *oppcount);
int fit_newton(int *oppcount);
void fit_build_jobs(struct server *myserver,char **name,int n);
double get_all_error(struct fitvars *myfit);
double get_constraints_error(struct fitvars *config);
void fit_read_config(struct fitvars *config);
double fit_run_sims(struct fitvars *fitconfig,struct server *myserver);
int fit_now();
double fit_load_plugin(struct fitvars *config,char *name);
#endif
