#ifndef stark_h
#define stark_h
#include "stark.h"

struct stark 
{
	double stark_ea_factor;
	double stark_Np;
	double stark_2start;
	double stark_2stop;
	double stark_den;
	double stark_externalv;
	double stark_dt_neg_time;
	double stark_dt;
	double stark_dt_mull;
	double stark_stop;
	double stark_stark;
	double stark_tstart;
	double stark_lasereff;
	double stark_probe_wavelength;
	int stark_sim_contacts;
	double stark_laser_width;
	double stark_saturate;
	double stark_saturate_n;
};

extern struct stark stark_config;
double newton_sim_stark(struct device *in,double Vtot,int usecap);
void newton_sim_stark_simple(struct device *in);

void stark_load_config(struct stark *in,struct device *dev);
void sim_stark(struct device *in);
void newton_aux_stark(struct device *in,double V,double* i,double* didv,double* didphi,double* didxil,double* didxipl,double* didphir,double* didxir,double* didxipr);
void stark_update_alpha(struct device *in,struct light *mylight,struct istruct *alpha_reduce,struct istruct *n_reduce,int lam);
#endif
